## Function `degreesToHms( deg, secFig )`

Description:
  Converts an angle in degrees to a formatted hours:minutes:seconds string with a given number of decimal places in the seconds field.

Parameters:
  `deg` (floating point)
    angle in degrees
  `secFig` (integer)
    number of decimal places in the seconds field

Return Value (String):
  HMS-format string representing `deg`

Signature:
  `String degreesToHms(double, int)`